Bug 20651 - Improve display of "Toggle full supplier metadata"
Summary: Improve display of "Toggle full supplier metadata"
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Isherwood
QA Contact:
URL:
Keywords:
Depends on: 7317
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-24 14:03 UTC by Andrew Isherwood
Modified: 2019-10-14 19:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20561: Improve full supplier metadata display (7.99 KB, patch)
2018-04-24 15:08 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20561: Improve full supplier metadata display (5.47 KB, patch)
2018-04-25 07:38 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20561: Improve full supplier metadata display (5.53 KB, patch)
2018-05-11 18:22 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 20561: Improve full supplier metadata display (5.96 KB, patch)
2018-05-29 12:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20561: Improve full supplier metadata display (5.58 KB, patch)
2018-05-30 09:49 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20561: Improve full supplier metadata display (5.73 KB, patch)
2018-06-14 20:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20651: Improve full supplier metadata display (5.67 KB, patch)
2018-06-14 20:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2018-04-24 14:03:32 UTC
Currently, any additional metadata supplied by an ILL supplier that doesn't fit into our "core" set of metadata is just appended to the bottom of the page behind a "Toggle full supplier metadata" link. We should improve this, probably utilising a modal, as per "MARC preview" in Cataloguing.
Comment 1 Andrew Isherwood 2018-04-24 15:08:43 UTC Comment hidden (obsolete)
Comment 2 Andrew Isherwood 2018-04-25 07:38:48 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2018-05-11 18:22:44 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2018-05-28 18:46:17 UTC
Fix the indentation please.
Comment 5 Owen Leonard 2018-05-29 12:04:59 UTC Comment hidden (obsolete)
Comment 6 Andrew Isherwood 2018-05-30 09:49:46 UTC
Created attachment 75655 [details] [review]
Bug 20561: Improve full supplier metadata display

This patch improves the display of the extra metadata that may be
returned by an ILL supplier.

The display of the metadata has been moved from the "Toggle full
supplier metadata" link at the bottom of the page to a button on the
right of the request toolbar, labelled "Display supplier metadata".
Clicking this button opens a modal displaying the metadata.

To test:
1) Ensure ILL is enabled and you have at least one request
2) From the "View ILL requests" page, click "Manage request" on a
request
3) Click the "Display supplier metadata" button on the right of the
toolbar
4) Observe that a modal opens containing the metadata
Comment 7 Andrew Isherwood 2018-05-30 09:51:08 UTC
I've just attached a new patch that addresses the indentation, thanks for the feedback Jonathan :)
Comment 8 Jonathan Druart 2018-05-30 19:27:12 UTC
If Owen agrees, it's ok for me.
Comment 9 Jonathan Druart 2018-06-14 20:43:07 UTC
Created attachment 76072 [details] [review]
Bug 20561: Improve full supplier metadata display

This patch improves the display of the extra metadata that may be
returned by an ILL supplier.

The display of the metadata has been moved from the "Toggle full
supplier metadata" link at the bottom of the page to a button on the
right of the request toolbar, labelled "Display supplier metadata".
Clicking this button opens a modal displaying the metadata.

To test:
1) Ensure ILL is enabled and you have at least one request
2) From the "View ILL requests" page, click "Manage request" on a
request
3) Click the "Display supplier metadata" button on the right of the
toolbar
4) Observe that a modal opens containing the metadata

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
The modal looks good!

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2018-06-14 20:43:46 UTC
Created attachment 76073 [details] [review]
Bug 20651: Improve full supplier metadata display

This patch improves the display of the extra metadata that may be
returned by an ILL supplier.

The display of the metadata has been moved from the "Toggle full
supplier metadata" link at the bottom of the page to a button on the
right of the request toolbar, labelled "Display supplier metadata".
Clicking this button opens a modal displaying the metadata.

To test:
1) Ensure ILL is enabled and you have at least one request
2) From the "View ILL requests" page, click "Manage request" on a
request
3) Click the "Display supplier metadata" button on the right of the
toolbar
4) Observe that a modal opens containing the metadata

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
The modal looks good!

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Nick Clemens 2018-07-02 13:18:06 UTC
Awesome work all!

Pushed to master for 18.11
Comment 12 Martin Renvoize 2018-07-03 10:06:25 UTC
Enhancement, not backporting to 18.05.x series.